commit:     158cabca590503ee879cfcc246101d108ea97a5b
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 20 05:50:02 2021 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Jun 20 06:03:18 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=158cabca

dev-ruby/instance_storage: add ruby30

Package-Manager: Portage-3.0.20, Repoman-3.0.2
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 .../instance_storage-1.0.0-r1.ebuild                | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/dev-ruby/instance_storage/instance_storage-1.0.0-r1.ebuild 
b/dev-ruby/instance_storage/instance_storage-1.0.0-r1.ebuild
new file mode 100644
index 00000000000..e9930274df9
--- /dev/null
+++ b/dev-ruby/instance_storage/instance_storage-1.0.0-r1.ebuild
@@ -0,0 +1,21 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby25 ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+inherit ruby-fakegem
+DESCRIPTION="Manage class instances with dictionary"
+HOMEPAGE="https://rubygems.org/gems/instance_storage/";
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+all_ruby_prepare() {
+       sed -i -e '/bundler/ s:^:#:' Rakefile test/instance_storage_test.rb || 
die
+}

Reply via email to